import { TestBed } from '@angular/core/testing';
import { Router } from '@angular/router';

describe('listResolver', () => {
  const routerSpy = {
    navigate: jest.fn(),
    navigateByUrl: jest.fn(),
  };

  beforeEach(() => {
    TestBed.configureTestingModule({
      providers: [
        { provide: Router, useValue: routerSpy }, // <<— spy: neutralise la navigation
      ],
    });
  });

  it('should return profiles observable from ProfileService', () => {
    expect(true).toBeTruthy();
  });
});
